<template>
  <div>
    <h1>Formulario Persona</h1>
    <!------Seleccion de municipios de colombia---->
    <select>
        <option v-for="obj in municipios" :key="obj.c_digo_dane_del_municipio" :value="obj.municipio">
            {{obj.municipio}}
        </option>
    </select>
    <br>
    <br>
    <button @click="goCarros">Carros</button>
  </div>
</template>

<script>
import store from '../store/index.js';

export default {
  methods: {
    goCarros() {
      console.log("Redirigiendo.....");
      this.$router.push("/carro");
    },
  },
  created: ()=>{
      //Acceder a las acciones del store con el dispatch
      store.dispatch('cargarMunicipios');
  },
  computed: {
      municipios: ()=>{
          return store.state.municipios;
      }
  }

};
</script>

<style>
</style>